fn main() {
 
let y = {
    let x = 3;
    x + 1
    };

    println!("The value of y is: {y}");
    println!("");
    another_function(5);

    let t = plus_one(5);

    println!("The value of x is: {t}");
}

fn another_function(x: i32) {
        println!("The value of x is: {x}");
        println!("");
}

fn plus_one(x: i32) -> i32 {
    //not semicolon ; an the end fo the return value. 
        x + 1 // ; no semicolon as return value 
}
